package cn.im.che.service;

 import cn.im.che.dao.ClxsjlDao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("clxsjlService")
public class ClxsjlService extends BaseService {
	
	private static Log log = LogFactory.getLog(ClxsjlService.class);
	
	@Autowired
	private ClxsjlDao clxsjlDao;

	/**
	 * Clxsjl ·ÖÒ³
	 */
	public Map listClxsjlByPage(Map map) throws SQLException {
		List<Map> list = clxsjlDao.query_Clxsjl(map);
		Integer totalCount = clxsjlDao.count_Clxsjl(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
}
